Bug 213298 - www/subsonic: Update to 6.0 and drop maintainership
Summary: www/subsonic: Update to 6.0 and drop maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jeremie Le Hen
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-10-08 00:19 UTC by Allison Nicole Reid
Modified: 2017-07-26 20:14 UTC (History)
3 users (show)

See Also:


Attachments
Subsonic 6.0 (1.12 KB, patch)
2016-10-08 00:19 UTC, Allison Nicole Reid
root: maintainer-approval+
Details | Diff
Poudriere test log (39.80 KB, text/plain)
2016-10-08 00:19 UTC, Allison Nicole Reid
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Allison Nicole Reid 2016-10-08 00:19:10 UTC
Created attachment 175521 [details]
Subsonic 6.0

Releases of Subsonic after 6.0-beta1 are no longer open source: http://forum.subsonic.org/forum/viewtopic.php?f=4&t=16604#p71128

Due to this change I am unwilling to continue maintenance of this port.

- Update to the newest stable version 6.0
- Remove LICENSE=GPLv3
- Drop maintainership
Comment 1 Allison Nicole Reid 2016-10-08 00:19:47 UTC
Created attachment 175522 [details]
Poudriere test log
Comment 2 VK freebsd_triage 2016-10-16 18:48:33 UTC
Thank you for your contribution. May I ask, why have you removed the license?
Comment 3 Allison Nicole Reid 2016-10-16 18:54:46 UTC
Did you see the link in my earlier comment? Upstream removed the license. This is no longer a GPL project. I looked for a custom license to include but there doesn't seem to be one.
Comment 4 VK freebsd_triage 2016-10-16 19:08:09 UTC
Thanks for explanation. Yes but the SF upstream still lists GPLv3. The ZIP file in the 6.0 source has a README that says the code is GPL'd. So I'd say that as it currently is, the license still remains.

If the post-6.0-beta1 subsonic is no longer open source, then that's EOL for this port, unless I misunderstood you?
Comment 5 Allison Nicole Reid 2016-10-16 19:16:50 UTC
Please see this issue where someone raised the same question about SF https://github.com/sindremehus/subsonic/issues/1

Note that this GH repository is for 5.3, the last GPL release according to the readme in this repo. I wouldn't consider this port EOL since new releases are still coming out and are still perfectly functional. I'm just not interested in maintaining propriety software.
Comment 6 VK freebsd_triage 2016-10-16 19:25:28 UTC
I'm not questioning your decision to drop maintainership -- and thank you for maintaining this port so far by the way.

I'm only asking about the LICENSE removal, since both the repository and the tarball fetched in the submitted version of the port (6.0) still list GPL as license.

And even if the forum post was applicable despite the tarball itself stating it's GPL'd, and if that GH repo is for 5.3 and this update is for (you say closed source) 6.0, then the question is which is the new license and is FreeBSD licensed to include the 6.0 code and, even more so, build a pkg?

CC portmgr@
Comment 7 Allison Nicole Reid 2016-10-17 21:07:14 UTC
Yeah, I see what you mean. Unfortunately there are no distribution terms that I can find for the new version on Subsonic.org or in their forums, but the source to 6.0 is also definitely not available from what I can see.

The README in the 6.0 archive does say "Subsonic is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License.", true. The latest git tag in SF in the final GPL version 6.0-beta1, so it could be argued he is in violation of that license by distributing 6.0 with that readme but not the corresponding source. I am more concerned about the intention and less about the technical details. He has made his intention to close the project clear despite the poor job of cleaning up after the old license since that's likely just a leftover of whatever automation builds the packages. That's why I removed it from my port as well. I'm happy to put up a diff with that still intact if you prefer.

I would like to see this port updated to 6.0 with or without the license removal since the 5.3 WAR distfile has become broken, as noticed by someone else here: http://forum.subsonic.org/forum/viewtopic.php?f=7&t=16590

Alternatively I could leave the port at the final definitely-GPL version 5.3, but I will have to build a new WAR distribution from that source instead of relying on the broken upstream distfile.

I also opened bug 213299 to the maintainer of www/subsonic-standalone to clarify the license on that port since it has the same issue. That port still lists LICENSE=GPLv3.
Comment 8 VK freebsd_triage 2016-10-17 23:07:42 UTC
Personally, I'd request clarification from the developer and ask proper license be set in the upstream tarballs for 6.0+.

One could argue that GPL license requires it to accompany the software in question, so the presence of that README then makes it GPL'd, regardless of developer's intentions and statements on his forum. However, I think GPL requires the full license text be present, so maybe that's really not properly licensed...

But I'm not a lawyer, so I've CC'd portmgr for feedback.

The alternative is either to go by that README, or to RESTRICT the port or set another proper closed source license which also requires further modification of the Makefile as explained in section 6.4 of the Porter's Handbook:

https://www.freebsd.org/doc/en/books/porters-handbook/porting-restrictions.html

which tbh I don't know is something you can do with a patch or a committer has to. As long as this issue is brought to committer's attention, hence my asking as a triager.

Removing LICENSE imho would be at best an omission, and at worst put FreeBSD (users) in violation of a proprietary license.

The developer really made things confusing.
Comment 9 Allison Nicole Reid 2016-10-31 19:21:42 UTC
I sent Sindre an email two weeks ago but haven't heard back, and his last visit to the Subsonic forum was October 2nd according to his profile page. Would appreciate some advice from portmgr on how to proceed.
Comment 10 Jeremie Le Hen freebsd_committer 2017-07-02 10:25:35 UTC
Nicole,

Are you OK with dropping your maintainership?
-- Jeremie
Comment 11 Jeremie Le Hen freebsd_committer 2017-07-02 10:40:58 UTC
Ah sorry, I overlooked that Nicole and Allison were the same person :-).
Comment 12 Jeremie Le Hen freebsd_committer 2017-07-02 10:47:47 UTC
I'll just go ahead a set LICENSE=NONE.  I haven't been able to find the code for Subsonic 6 (if it exists somewhere, it's clearly not advertised on the website), therefore I assume Nicole is right.

https://reviews.freebsd.org/D11445
Comment 13 commit-hook freebsd_committer 2017-07-26 20:13:24 UTC
A commit references this bug:

Author: jlh
Date: Wed Jul 26 20:13:14 UTC 2017
New revision: 446694
URL: https://svnweb.freebsd.org/changeset/ports/446694

Log:
  Update Subsonic from 5.3 to 6.0 and update license accordinly.

  Former maintainer has requested to drop maintainership also, so put it in
  ports@FreeBSD.org's pool.

  PR:		213298
  Submitted by:	Allison Nicole Reid <root at cooltrainer org>
  Approved by:	adamw (Phabricator), jpaetzel (IRC)
  Differential Revision:	https://reviews.freebsd.org/D11445

Changes:
  head/www/subsonic/Makefile
  head/www/subsonic/distinfo